CVE-2021-3636

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

It was found in OpenShift, before version 4.8, that the generated certificate for the in-cluster Service CA, incorrectly included additional certificates. The Service CA is automatically mounted into all pods, allowing them to safely connect to trusted in-cluster services that present certificates signed by the trusted Service CA. The incorrect inclusion of additional CAs in this certificate would allow an attacker that compromises any of the additional CAs to masquerade as a trusted in-cluster service.

References

https://bugzilla.redhat.com/show_bug.cgi?id=1978621

Details

Source: MITRE

Published: 2021-07-30

Updated: 2021-08-09

Type: CWE-287

Risk Information

CVSS v2

Base Score: 4.1

Vector: AV:A/AC:L/Au:S/C:P/I:P/A:N

Impact Score: 4.9

Exploitability Score: 5.1

Severity: MEDIUM

CVSS v3

Base Score: 4.6

Vector: CVSS:3.1/AV:A/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:N

Impact Score: 2.5

Exploitability Score: 2.1

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:redhat:openshift:*:*:*:*:*:*:*:*

Tenable Plugins

View all (1 total)

IDNameProductFamilySeverity
152103RHEL 7 / 8 : OpenShift Container Platform 4.8.2 packages and (RHSA-2021:2437)NessusRed Hat Local Security Checks
high